var channel = Common.getQueryStringByName("chnl");
var md;
var keys=[];
var keymap = {};
$(function () {
    Common.ajax({//根据渠道号查询关键词
        url:"../qa/getKeys",
        type:"post",
        data:{"channel":channel},
        callback:function (data){
            if(data.success && data.data.data!=null){
                var _keys = data.data.data.split(",");
                var key = "";
                var value = "";
                for(var index=0;index<_keys.length;index++){
                    key = _keys[index].split("=")[0];
                    value = Common.getQueryStringByName(key);
                    if(value === ""){
                        value = _keys[index].split("=");
                        if(value.length === 2){
                            value = value[1];
                        }else{
                            value = "";
                        }
                    }
                    keymap[key] = value;
                    keys.push(key);
                }
            }else{
                keys=[];
                keymap = {};
            }
        }
    });
});
//#firstChatTime  第一次聊天时间 div 元素
//#submit 输入框提交按钮 div 元素
//#inContent 输入框内容 input 元素
//#chatContent 聊天内容显示区域
//进来以后显示当前进入时间
$("#firstChatTime").html(function(){
    if($(this).attr("data-no")=="0"){
        $(this).attr("data-no","1");
        return Common.getFormatDate(new Date(), "hh:mm:ss");
    }else{
        return false;
    }
});

function html_encode(str) {
    var s = "";
    if (str.length == 0) return "";
    s = str.replace(/&/g, "&amp;");
    s = s.replace(/</g, "&lt;");
    s = s.replace(/>/g, "&gt;");
    s = s.replace(/ /g, "&nbsp;");
    s = s.replace(/\'/g, "&#39;");
    s = s.replace(/\"/g, "&quot;");
    s = s.replace(/\n/g, "<br>");
    return s;
}

$(function(){
    //输入框提交，以及内容检测
    $("#submit").click(function(){
        var c = $("#inContent").val().trim();//获取输入框内容
        c = html_encode(c);
        if(c.length>0){
            if(/^\s*$/.test(c)){
                $("#chatContent").val("");
                $("#inContent").val("");
                return;
            }else{
                md = new Date().getTime();
                $("#chatContent").append(function(){//新增聊天记录
                    return '<div class="display-webkit pd15 row-reverse am-mt-10"><div class="am-flexbox-item am-flexbox am-sc-content row-reverse"><div class="am-sc-wd-content" style="word-break: break-all;" id="'+md+'">'+c+'</div><div class="am-sc-wd-left am-sc-wd-right"></div></div><div class="am-sc-header"><img src="'+resRoot+'/images/shareIcon_3.png" alt=""/></div></div>';
                });
            }
            Common.ajax({//根据提问查询问题列表
                url:"../qa/getQuestions",
                type:"post",
                dataType:"json",
                data:{"content":c,"channel":channel},
                callback:function (data){
                    if(data.success && data.data.data!=null){
                        var d = data.data.data, html='<div class="weui_cells weui_cells_access am-mt-10">';
                        for(var i in d){
                            var content = d[i]['content'];
                            for(var index=0;index<keys.length;index++){
                                content = content.replace(eval('/{{'+keys[index]+'}}/ig'), keymap[keys[index]]);
                            }
                            html+='<a class="weui_cell" href="javascript:void(0);"><div class="weui_cell_bd weui_cell_primary"><p data-to="'+d[i].id+'" data-an="0">'+(i*1+1)+'.'+content+'</p></div><div class="weui_cell_ft"></div></a>';
                        }
                        html+='</div>';
                        $("#chatContent").append(html);
                    }else{
                        var icon = $("#autoIcon").attr("src");
                        var msg = data.data.msg;
                        for(var index=0;index<keys.length;index++){
                            msg = msg.replace(eval('/{{'+keys[index]+'}}/ig'), keymap[keys[index]]);
                        }
                        var html='<div class="display-webkit pd15 am-mt-10"><div class="am-sc-header"><img src="'+icon+'" alt=""></div> <div class="am-flexbox-item am-flexbox am-sc-content"><div class="am-sc-wd-left"></div><div class="am-sc-wd-content">'+msg+'</div></div></div>';
                        $("#chatContent").append(html);
                    }
                    location.hash = md;
                }
            });
            $("#inContent").val("");
        }else{
            $("#inContent").focus();
            $("#chatContent").val("");
            return false;
        }
    });
    //查询问题答案
    $("#chatContent").on("click","p[data-to]",function(e){
        $(this).parent().next().attr("class","weui_cell_ft-135");
        var id = $(this).attr("data-to"),an = $(this).attr("data-an");
        if(an=="0"){
            $(this).attr("data-an","1");
            var me=this;
            Common.ajax({//根据提问查询问题列表
                url:"../qa/getAswers",
                type:"post",
                dataType:"json",
                data:{"id":id,"channel":channel},
                callback:function (data){
                    if(data.success && data.data.data!=null){
                        var c = data.data.data[0]['content'];
                        for(var index=0;index<keys.length;index++){
                            c = c.replace(eval('/{{'+keys[index]+'}}/ig'), keymap[keys[index]]);
                        }
                        $(me).parent().parent().after(function(){
                            return '<a class="weui_cell" href="javascript:void(0);" data-answer="'+id+'"><div class="weui_cell_bd weui_cell_primary" <p style="color:#919294">'+c+'<p></p></div></a>';
                        });
                    }
                }
            });
        }else{
            $(this).parent().next().attr("class","weui_cell_ft");
            $(this).parent().parent().next().remove();
            $(this).attr("data-an","0");
            return false;
        }
    });
});