var newsId=Common.getQueryStringByName("newsid");
var cnl = Common.getQueryStringByName("cnl");
var user_impType = Common.getQueryStringByName("user_impType");
var t1=$(window).height(); //获取屏幕高度
var t2=$(window).width();
var currentheight;
var pdfname="";
// 创建时间
var createTime;
// 标签
var lableNames;
$(function () {
	if(user_impType==null||user_impType==""){
		var u = navigator.userAgent, app = navigator.appVersion;
		var isAndroid = u.indexOf('Android') > -1 || u.indexOf('Linux') > -1; //g
		var isIOS = !!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/); //ios终端
		if (isAndroid){
			user_impType="android"
		}else if (isIOS){
			user_impType="ios"
		}
	}

	setNewsData(newsId).then(function () {

		//PDF文件访问你地址
		var base = new Base64();
		var prdurl = $("#PDFURL").attr("url");
		if(prdurl){
			var url1= prdurl.substr(0,prdurl.lastIndexOf("/")+1);
			var url2= prdurl.substr(prdurl.lastIndexOf("/")+1);
			pdfname = url2;

			if(prdurl.indexOf(imageServerUrl)!=-1){
				url2=url2.replace(".pdf","");
				if(isNaN(url2.substr(url2.indexOf("_")+1))){
					prdurl = url1+base.encode(url2).replace(new RegExp("/","gm"),"_")+".pdf";
				}
				$("#PDFURL").attr("onclick", "getPdf('" + prdurl + "')");
			}
		}
	});


});

//onload之后完成图片的渲染
window.onload=function(){
	resizeImg();
	//根据页面高度设置 免责说明位置
	var contentH = $(".content").height();
	var currentH = $(window).height();
	if(contentH>currentH-150-ggH){

	}else{
		// $(".content").height(currentH-150-ggH);
	}
}

function hideBigImg(){
	$(".content").show();
	$(".mask").hide();
	$(window).scrollTop(currentheight);
}
/**
 * 设置新闻内容
 * @param selectedModelId
 */
function setNewsData(newsId){
	return $.ajax({
		type : 'post',
		url : window.service_prefix + '/model/getNewsDataChnl',
		data: {newsId: newsId,channel:cnl},
		success : function(response) {
			var newsData = response.data.data;
			document.title = newsData.title;//设置title
			$("#news_title_name").html(newsData.title);
			$("#news_image").val(newsData.imageUrl);
			$("#news_title_digest").html(newsData.digest);
            lableNames = newsData.lableNames;
			var content = "";
			if(newsData.content != "" && newsData.content != null){
				content = newsData.content.replaceAll("%U_R_L%",imageServerUrl);
				content = Common.html_decode(content);
			}
			$("#news_content").html(content);
			//if($("#news_content").text().trim() == ""&&newsData.attachmentUrl){
			//	if(newsData.attachmentUrl.indexOf("http")>=0||newsData.attachmentUrl.indexOf("https")>=0){
			//		goPdfCur(newsData.attachmentUrl);
			//	}else{
			//		goPdfCur(imageServerUrl+newsData.attachmentUrl);
			//	}
			//	//return;
			//}

			var pdfhtml = "";
			if(newsData.attachmentUrl){
				if(newsData.attachmentUrl.indexOf("http")>=0||newsData.attachmentUrl.indexOf("https")>=0){
					pdfhtml = "<br><div class=\"am-ft-xxl newsTitleDetiles am-tab pd15\" id=\"PDFURL\" url=\""+newsData.attachmentUrl+"\" onclick='getPdf(\""+newsData.attachmentUrl+"\");'>点击预览PDF全文</div>";
				}else{
					var ifPath=newsData.attachmentUrl;
					ifPath = ifPath.substr(ifPath.lastIndexOf("/")+1);
					var pdfile = ifPath.split("_");
					var bytesize = pdfile[0];
					pdfhtml = "<br><div class=\"am-ft-xxl newsTitleDetiles am-tab pd15\" id=\"PDFURL\" url=\""+imageServerUrl +newsData.attachmentUrl+"\">"+pdfile[1]+"("+B2K(bytesize)+")</div>";
				}
			}

			$("#news_content").html(content + pdfhtml);
			var mediaAndTime = "";
			if(null != newsData.media && undefined !=newsData.media){
				mediaAndTime += newsData.media;
			}
			mediaAndTime+="&nbsp;&nbsp;&nbsp;";
			mediaAndTime += formatDate(newsData.createTime,"MMddHHmm");
            createTime = formatDate(newsData.createTime,"yyyyMMddHHmmss");
			$("#news_media_and_time").html(mediaAndTime);
		}
	});
}




var global_pdf;
var global_pdf_page = 1;

function getPdf(url){
	$("#disclaimer").css("display","none");
	currentheight = $(document).scrollTop();
	if(user_impType && user_impType=="ios"){
		try{
			qreadyCallbacks.viewvisible(url,pdfname);
		}catch(e){
			//ios-h5的处理
			console.log("H5调用原生ios callMessage方法出错：" + e.message);
			window.open(url);
		}
	}else if(user_impType && user_impType=="android"){
		try{
			//安卓的交互处理
			window.WebViewJavascriptBridge.ShowPdf(url,pdfname);
		}catch(e){
			//安卓h5的处理
			console.log("H5调用原生android callMessage方法出错：" + e.message);
			androidForward(url);
		}
	}else{
		window.open(url);
	}
	$(window).scrollTop(0);
}

//此方法由app判断新或老的打开方式，来调用
function androidForward(url){
	if(global_pdf){
		$("#news_content").hide();
		$("#tcs").show();
		pageTo(global_pdf_page);
	}else{
		if(url.indexOf("hsmdb.com")!=-1){
			document.domain="hsmdb.com";
		}
		var pf = PDFJS.getDocument(url);
		pf.then(function (pdf) {
			global_pdf = pdf;
			$("#news_content").hide();
			$("#tcs").show();
			pageTo(global_pdf_page);
		});
		pf.onPassword = function(func,reason){
			if(reason === PDFJS.PasswordResponses.NEED_PASSWORD){
				var pd = prompt('请输入文档密码：','');
				if(pd){
					func(pd);
				}
			}else if(reason === PDFJS.PasswordResponses.INCORRECT_PASSWORD){
				alert('文档密码错误');
			}else{
				alert('未知错误');
			}
		}
	}
}

function pageTo(pageTo){
	var wpage = 1;
	if($.isNumeric(pageTo)){
		wpage = pageTo;
	}else if(pageTo === 'sy'){
		wpage = 1;
	}else if(pageTo === 'my'){
		wpage = global_pdf.numPages;
	}else if(pageTo === 'up'){
		wpage = global_pdf_page - 1;
	}else if(pageTo === 'down'){
		wpage = global_pdf_page + 1;
	}
	if(global_pdf && wpage >= 1 && wpage <= global_pdf.numPages){
		global_pdf.getPage(wpage).then(function (page) {
			var scale = 1;
			var viewport = page.getViewport(scale);

			var canvas = document.getElementById('the-canvas');
			var context = canvas.getContext('2d');
			canvas.height = viewport.height;
			canvas.width = viewport.width;

			var renderContext = {
				canvasContext: context,
				viewport: viewport
			};
			page.render(renderContext);
			global_pdf_page = wpage;
		});
	}
}

function closepdf(){
	$("#news_content").show();
	$("#tcs").hide();
    $("#disclaimer").css("display","block");
	$(window).scrollTop(currentheight);
}

function B2K(bytesize) {
	if(bytesize < 1024){
		return bytesize + "B";
	}else if(bytesize >= 1048576){
		return Math.round(bytesize/1024/1024) + "M";
	}else{
		return Math.round(bytesize/1024) + "K";
	}
}

function resizeImg() {
	$("#news_content img").each(function (maxWidth) {
		var w = $(this).width();
		if(w > maxWidth){
			var h = $(this).height();
			var scale = maxWidth/w;
			w = maxWidth;
			h = h*scale;
			$(this).width(w*0.9);
			$(this).height(h*0.9);
		}


		$(this).click(function(){
			//获取当前窗口高度
			currentheight = $(document).scrollTop();
			$(window).scrollTop(0);
			$('#bigImg').css("margin-top","0px");
			$(".content").hide();
			$("#bigImg").attr("src",$(this).attr("src"));
			$(".mask").show();
			var t3=$("#bigImg").height();//获得当前img高度
			var t4=$("#bigImg").width();
			if(t3<t1){//如果屏幕高度大于img高度，设置图片margin-top
				$('#bigImg').css("margin-top",((t1-t3)/2)+"px");
			}
		})

	},[$(window).width()-10]);
	
}

/**
 * 返回文章内容
 */
function appGetNews(){
	var _$content = $("#news_content").text();
	var _$title = $("#news_title_name").text();
	var _$image = $("#news_image").val();
	var _$digest = $("#news_title_digest").text();
	if(_$content != null && _$content != ""){
		_$content = _$content.replaceAll(/[\s]+/g,"");
		_$content = _$content.replace(/'|"/g, '“');
        _$content = _$content.replaceAll("img{max-width:100%;overflow:hidden;}","");//去掉添加的图片样式
	}
	if(_$title != null && _$title != ""){
		_$title = _$title.replaceAll(/[\s]+/g,"");
	}
	if(_$digest != null && _$digest != ""){
		_$digest = _$digest.replaceAll(/[\s]+/g,"");
	}
	if(_$image != undefined && _$image != ""){
		_$image = imageServerUrl+_$image;
	}
	if(user_impType && user_impType=="ios"){
		//对象
		var obj = {"title":_$title,"digest":_$digest,"content":_$content,"image":_$image,"createTime":createTime,"lableNames":lableNames};
		return obj;
	}else{
		//字符串
		var objresult = "{\"title\":\""+_$title+"\",\"digest\":\""+_$digest+"\",\"content\":\""+_$content+"\",\"image\":\""+_$image+"\",\"createTime\":\""+createTime+"\",\"lableNames\":\""+lableNames+"\"}";
		console.log(objresult)
		window.local_obj.showSource(objresult);
	}
}