var myScroll = '';
function initLive() {
    var modelId = 110002;
    var globalPageNo = 1,
        globalPageSize = 20,
        content = '',
        small = $('.am-ft-md').eq(0),
        big = $('.am-ft-md').eq(1),
        everyPageLastObj = {},       //记录每一页的最后一条数据，方便判断翻页后的第一条数据是否和前一页最后一条数据是同一天
        up = 0;
    //==================================================
    //上（下）拉加载数据
    function myScrolling() {
        var y = this.y >> 0;
        if (y > 42) {
            $('#pullDirection').val("down");
            //pullDown
            var isRefresh = $('#pullDown').css('display') == "none";
            $('#pullDown').css('display', '');
            if (isRefresh) {
                myScroll.refresh();
            }
            $('#pullDownTip').html('释放刷新');
            //pullUp
            $('#pullUp').css('display', 'none');
        } else if (y + 42 < myScroll.maxScrollY) {
            $('#pullDirection').val("up");
            //pullDown
            $('#pullDown').css('display', 'none');
            //pullUp
            var isRefresh = $('#pullUp').css('display') == "none";
            $('#pullUp').css('display', '');
            if (isRefresh) {
                myScroll.refresh();
            }
            $('#pullUpTip').html('释放刷新');
        }
        var $btt = $("#page_" + modelId + " #btnBTT");
        if (y < -500) {
            $btt.show();
        } else {
            $btt.hide();
        }
    }

    function myScrollEnd() {
        if ($('#pullDirection').val() == "down") {
            $('#pullDownTip').html('刷新中......');
            //下拉加载第一页数据
            globalPageNo = 1;
            up = 1;
            getLives();
        } else if ($('#pullDirection').val() == "up") {
            $('#pullUpTip').html('刷新中......');
            //上拉加载更多数据
            up = 0;
            getLives(++globalPageNo, globalPageSize);
        }
        $('#pullDirection').val('');
    }

    myScroll = new IScroll('#iScrollWrapper', {
        probeType: 3,
        scrollbars: true,
        mouseWheel: true,
        interactiveScrollbars: true,
        shrinkScrollbars: 'scale',
        fadeScrollbars: true,
        useTransform: false,
        preventDefault: false,
        preventDefaultException: {tagName: /^(INPUT|TEXTAREA|BUTTON|SELECT)$/}
    });

    $("#page_" + modelId).data('scroll-obj', myScroll)
    //存入generalModelScroll

    $("#page_" + modelId + " #btnBTT").on('click', function () {
        var scroll = $(this).parent().data('scroll-obj');
        scroll.scrollTo(0, 0, 300);
    })
    myScroll.on('scroll', myScrolling);
    myScroll.on('scrollEnd', myScrollEnd);
    document.addEventListener('touchmove', function (e) {
        e.preventDefault();
    }, false);
    //==================================================
    $('#contentList').on('click', '.live-win-img', function (event) {
        var image = new Image()
        image.src = $(this).attr('src');
        showMark();
        var realWidth = image.width;
        var realHeight = image.height;
        var windowWidth = $(window).width();
        var windowHeight = $(window).height();
        var width = 0, height = 0, left = 0, top = 0;
        if (windowWidth / realWidth > windowHeight / realHeight) {
            width = Math.floor(windowHeight / realHeight * realWidth);
            height = windowHeight;
            left = Math.floor((windowWidth - width) / 2);
            top = 0;
        } else {//windowWidth/realWidth < windowHeight/realHeight
            width = windowWidth;
            height = Math.floor(windowWidth / realWidth * realHeight);
            left = 0;
            top = Math.floor((windowHeight - height) / 2);
        }
        $("#markImg").attr("src", image.src);
        $("#markImg").css({"width": width + "px", "height": height + "px", "left": left + "px", "top": top + "px"});
        return false;
    });
    $('#markDiv').on('click', function () {
        hiddenMark();
        return false;
    });
    //显示和隐藏遮罩层
    function showMark() {
        var top = document.body.scrollTop;
        $('#markDiv').css('top', top + 'px');
        $('#markDiv').css('display', 'block');
    }

    function hiddenMark() {
        //取消遮罩
        $('#markDiv').css('display', 'none');
    }

    //获取数据
    getLives();

    //每120秒获取一次数据
    var timer = setInterval(getLives, 120 * 1000);

    //获取数据
    function getLives() {
        var channel = Common.getQueryStringByName("chnl");
        var pageNo = arguments[0] != undefined ? arguments[0] : 1,
            pageSize = arguments[1] != undefined ? arguments[1] : 20;

        if (pageNo == 1) {
            content = '';
            everyPageLastObj = {};
        }

        $.ajax({
            type: "post",
            url: projectRoot + "/model/getLiveList",
            data: {pageNo: pageNo, pageSize: pageSize, channel: channel},
            dataType: "json",
            success: function (response) {
                var contents = response.data.data.rows || [],
                    length = contents.length;
                if (length == 0 && globalPageNo == 1) {
                    $("#contentList").html("<div style='text-align:center;text-align:center; margin:10px auto'>暂无直播内容</div>");
                }
                if (length > 0) {
                    //渲染页面
                    if (up == 0) {
                        render(contents, length, everyPageLastObj);
                        everyPageLastObj = contents[contents.length - 1];
                    } else if (up == 1) {
                        render(contents, length, {});
                        everyPageLastObj = {};
                    }
                } else {
                    $('#pullDown').css("display", "none");
                    $('#pullUp').css("display", "none");
                    myScroll.refresh();
                }
            }
        })
    }

    //渲染页面
    function render(contents, length, everyPageLastObj) {
        //var div = $('.container');
        var div = $('#contentList');
        var current_date = new Date();
        var today = '';
        for (var i = 0; i < length; i++) {
            var obj = contents[i],
                date = new Date(obj.publTime),
                dayStr = '',
                spread = '',
                imghtml = '',
                year = '',
                month = '',
                days = '',
                dateTime= '';
                //contentlive = obj.content.replace(/ /g, "&nbsp;");
            contentlive=obj.content.replace(/\r\n/g,"<br>")
            contentlive=contentlive.replace(/\n/g,"<br>");
            year = date.getFullYear();
            month = date.getMonth() + 1;
            days = date.getDate();
            if (month < 10) {
                month = "0" + month;
            }
            if (days < 10) {
                days = "0" + days;
            }
            var universalNewline = '<br>';
            var line_count = obj.content.split(universalNewline).length;
            //if (line_count > 2) {
                spread = '展开';
            //}
            if (date.getFullYear() == current_date.getFullYear() && date.getMonth() == current_date.getMonth() && date.getDate() == current_date.getDate()) {
                today = '今日';
                dateTime = formatDate(obj.publTime, 'HHmmss');
            }else {
                dateTime = formatDate(obj.publTime, 'yyyyMMddHHmmss');
            }
            //加载第一页中的第一条数据   加月日
            if (globalPageNo == 1 && i == 0) {
                dayStr = '<div style="background: #fff;padding-bottom: 15px;margin-top: 5px;"><div class="live-day" style="border-bottom: 1px solid #D6D6D6;">' + today + '&nbsp;' + year + '.' + month + '.' + days + '&nbsp;' + weekday[date.getDay()] + '</div>';

            }

            //第二条数据开始和前一条数据进行比较不是同一天则加月日
            if (i > 0) {
                if (!isSameDay(contents[i - 1].publTime, obj.publTime)) {
                    dayStr = '</div><div style="background: #fff;padding-bottom: 15px;margin-top: 5px;"><div class="live-day" style="border-bottom: 1px solid #D6D6D6;">' + year + '.' + month + '.' + days + '&nbsp;' + weekday[date.getDay()] + '</div>';

                }
            }

            //翻页后的第一条数据和前一页最后一条数据不是同一天，则加月日    margin-top:5px;
            if (globalPageNo > 1 && i == 0 && !isSameDay(everyPageLastObj.publTime, obj.publTime)) {
                dayStr = '</div><div style="background: #fff;padding-bottom: 15px;margin-top: 5px;"><div class="live-day" style="border-bottom: 1px solid #D6D6D6;">' + year + '.' + month + '.' + days + '&nbsp;' + weekday[date.getDay()] + '</div>';

            }
            if ('' != obj.imgs && null != obj.imgs) {
                var imgList = '';
                var imgs = obj.imgs;
                if (imgs.indexOf(',') != -1) {
                    imgList = imgs.split(',');
                    for (var j = 0; j < imgList.length; j++) {

                        imghtml += '<div id="div' + obj.id + j + '" style="width: 33%;float: left;box-sizing: border-box;padding: 7.5px;font-size: 0;"><img style="height: 80px;width: 100%;" id="' + obj.id + j + '" src="' + imageServerUrl + imgList[j] + '" onclick="bigImgs(\'' + obj.id + j + '\')" class="" alt="" /></div>';
                    }
                } else {
                    imghtml += '<div style="padding: 7.5px;font-size: 0;"><img id="' + obj.id + '10" src="' + imageServerUrl + imgs + '" style="width: 100%;height: 150px;" onclick="bigImgs(\'' + obj.id + '10\')" class="" alt="" /></div>';
                }
            }
            content += dayStr + '<div><div style="border-left: 1px solid #D6D6D6;margin-left:15px;"><div class="live-time"><div class="time-line"></div><div class="time-line2"></div><span class="time-minutes">' + dateTime + '</span></div>' +
                '<div class="time-cotent"><div id="pack_' + obj.id + '" class="time-text time-text2" style="word-wrap:break-word; ">' + contentlive + '</div><div id="spread_' + obj.id + '" class="pack" onclick="spread_pack(' + obj.id + ')">' + spread + '</div><div class="clearfix" style="padding: 7.5px;">' + imghtml + '</div></div></div></div>';
        }

        div[0].innerHTML = content;
        for (var x = 0; x < length; x++) {
            if ('' == $('#spread_' + contents[x].id).html()) {
                $('#spread_' + contents[x].id).css("margin-top", '0');
            }
        }
        $('#pullDown').css("display", "none");
        $('#pullUp').css("display", "none");
        myScroll.refresh();

    }
}
function spread_pack(id) {

    if ('展开' == $("#spread_" + id).html()) {
        // $("#pack_"+id).slideToggle();
        $("#pack_" + id).css("-webkit-line-clamp", "999");
        $("#spread_" + id).html('收起');
    } else {
        // $("#pack_"+id).css('display','none');
        $("#pack_" + id).css("-webkit-line-clamp", "2");
        $("#spread_" + id).html('展开');
    }
    myScroll.refresh();
}
function bigImgs(id) {
    var srcs = '';
    srcs = $("#" + id)[0].src;
    $("#big_imgs").attr("src", srcs);
    $("#big_imgs2").css("display","block");
}
function big_imgs123(){
    $("#big_imgs2").css("display","none");
}
var weekday = new Array(7);
weekday[0] = "星期天";
weekday[1] = "星期一";
weekday[2] = "星期二";
weekday[3] = "星期三";
weekday[4] = "星期四";
weekday[5] = "星期五";
weekday[6] = "星期六";

