//品种页面首次初始化
function PZInit() {
    $("body").mLoading();
//日期选择js
    var mc = [];
    $.ajax({
        type: "post",
        url: window.service_prefix + "/lhb/getVarieties",
        data: {},
        dataType: "json",
        success: function (data) {
            $("body").mLoading("hide");
            if (data.success) {
                mc = [];
                data = data.data;
                for (var index = 0; index < data.length; index++) {
                    if(index === 0){
                        $('#txtContractPZ').prev().text(data[0].contract_name);
                        $('#selContractPZ').data('value', data[0].fut_option_code);
                        $('#ddcc_pz').text(data[0].contract_name + '多单持仓排名');
                        $('#kdcc_pz').text(data[0].contract_name + '空单持仓排名');
                        pztb_init(data[0].fut_option_code);
                    }
                    mc.push({
                        label: data[index].contract_name,
                        value: data[index].fut_option_code
                    });
                }
            }
        },
        error: function (xhr, status, msg) {
            $("body").mLoading("hide");
            layer.closeAll();
            layer.open({
                type: 0,
                style: 'word-break: break-all;',
                content: status
            });
        }
    });

//模拟数据
    $('#selContractPZ').on('click', function () {
        $.mPicker(
            mc, {
                defaultValue: [$('#selContractPZ').data('value')],
                onConfirm: function (result) {
                    $('#ddcc_pz').text(result[0].label + '多单持仓排名');
                    $('#kdcc_pz').text(result[0].label + '空单持仓排名');

                    $('#txtContractPZ').prev().text(result[0].label);
                    $('#selContractPZ').data('value', result[0].value);
//选择日期后的操作..
                    pztb_init(result[0].value);
                },
                id: 'picker_pz' + new Date().getTime()
            });
    });

    $('[data-panel="pz"]').data('init', true);
}

function pztb_init(fut_option_code) {
    $("body").mLoading();
    $.ajax({
        type:'POST',
        url:'../lhb/getHeroes',
        dataType:'json',
        data: {
            code: fut_option_code,
            // bDate: getFormatDate(jj_date(-604800000), "yyyy-MM-dd"),
            // eDate: getFormatDate(new Date(), "yyyy-MM-dd")
        },
        success:function(data){
            $("body").mLoading("hide");
            paint_pz(data);
        },
        error: function (xhr, status, msg) {
            $("body").mLoading("hide");
            layer.closeAll();
            layer.open({
                type: 0,
                style: 'word-break: break-all;',
                content: status
            });
        }
    });
}

function paint_pz(data) {
    var origin_date = {
        date: []
    };
    var dataPZ = {
        date: [],
        data1: [],
        data2: []
    };
    var dd = [];
    var kd = [];
//参考数据
    data = data.data;
    for(var key in data){
        dataPZ.date.push(key);
        origin_date.date.push(key);
    }
    dataPZ.date.sort();
    origin_date.date.sort();
    for (var i=0;i<dataPZ.date.length;i++){
        var _ = dataPZ.date[i];
        dataPZ.date[i] = _.substr(5);
        if(data[_]['3'].length > 0){
            dataPZ.data1.push(data[_]['3'][0].total_vol);
        }else{
            dataPZ.data1.push(0);
        }
        if(data[_]['4'].length > 0){
            dataPZ.data2.push(data[_]['4'][0].total_vol);
        }else{
            dataPZ.data2.push(0);
        }
        if(i === (dataPZ.date.length-1)){
            var lt = dataPZ.data1.slice(-1)[0];
            var st = dataPZ.data2.slice(-1)[0];
            $('#ddl_pz').text(lt);
            $('#kdl_pz').text(st);
            $('#ddl_zb_pz').text(((lt*100)/(lt+st)).toFixed(2) + '%');
            $('#kdl_zb_pz').text(((st*100)/(lt+st)).toFixed(2) + '%');
            $('#rq_pz').text(_);

            dd = data[_]['3'];
            kd = data[_]['4'];
        }
    }

    if($.isEmptyObject(data)){
        for (var index=4;index>=0;index--){
            var _now = getFormatDate(jj_date(index * (-86400000)), "yyyy-MM-dd");
            dataPZ.date.push(_now.substr(5));
            dataPZ.data1.push(0);
            dataPZ.data2.push(0);
        }

        $('#ddl_pz').text(0);
        $('#kdl_pz').text(0);
        $('#ddl_zb_pz').text('0%');
        $('#kdl_zb_pz').text('0%');
        $('#rq_pz').text(_now);
    }else if(dataPZ.date.length < 5){
        var len = 5-origin_date.date.length;
        for (var index=0;index<len;index++){
            var _now = getFormatDate(jj_date(-86400000,
                origin_date.date[0]), "yyyy-MM-dd");
            origin_date.date.unshift(_now);
            dataPZ.date.unshift(_now.substr(5));
            dataPZ.data1.unshift(0);
            dataPZ.data2.unshift(0);
        }
    }
    drawFundChart(
        {
            wrap: $('#PZCharts'),
            data: dataPZ,
            callback: function () {
//初始化图表后回调函数
                $('#PZCharts').on('touchmove', function (e) {
                    e.preventDefault();
                });
            }
        }
    );

    refresh_list_pz(dd, kd);
}

function refresh_list_pz(dd, kd) {
    if(dd.length > 0){
        $('#dd_rq_pz').text(dd[0].trade_date);
        set_ddcc_list_pz(dd);
    }else{
        $('#dd_rq_pz').text(getFormatDate(new Date(), "yyyy-MM-dd"));

        $('#ddcc_brhj_pz').text(0);
        $('#ddcc_zlzj_pz').text(0);
        $('#ddcc_list_pz').html('');
        $('#ddcc_zlzj_pz').removeClass('am-ft-red am-ft-green');
    }

    if(kd.length > 0){
        $('#kd_rq_pz').text(kd[0].trade_date);
        set_kdcc_list_pz(kd);
    }else{
        $('#kd_rq_pz').text(getFormatDate(new Date(), "yyyy-MM-dd"));

        $('#kdcc_brhj_pz').text(0);
        $('#kdcc_zlzj_pz').text(0);
        $('#kdcc_list_pz').html('');
        $('#kdcc_zlzj_pz').removeClass('am-ft-red am-ft-green');
    }
}

function set_ddcc_list_pz(data) {
    $('#ddcc_brhj_pz').text(data[0].total_vol);
    $('#ddcc_zlzj_pz').text(data[0].total_change_vol);
    if(data[0].total_change_vol > 0){
        $('#ddcc_zlzj_pz').removeClass('am-ft-green').addClass('am-ft-red');
    } else if(data[0].total_change_vol < 0){
        $('#ddcc_zlzj_pz').removeClass('am-ft-red').addClass('am-ft-green');
    } else {
        $('#ddcc_zlzj_pz').removeClass('am-ft-red am-ft-green');
    }
    var members = data;
    var html = '';
    for (var i=0;i<members.length;i++){
        html += '<li class="flexbox am-b-b am-ptb-20 am-plr-15">' +
            '<div class="am-pl-10" style="width: .4rem;">'+members[i].rank_number+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].member_abbr+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].indicator_vol+'</div>';
        if(members[i].change_vol > 0){
            html += '<div class="flex-item am-ft-right am-ft-red">'+members[i].change_vol+'</div>' +
                '</li>';
        } else if(members[i].change_vol < 0){
            html += '<div class="flex-item am-ft-right am-ft-green">'+members[i].change_vol+'</div>' +
                '</li>';
        } else {
            html += '<div class="flex-item am-ft-right">'+members[i].change_vol+'</div>' +
                '</li>';
        }
    }
    $('#ddcc_list_pz').html(html);
}

function set_kdcc_list_pz(data) {
    $('#kdcc_brhj_pz').text(data[0].total_vol);
    $('#kdcc_zlzj_pz').text(data[0].total_change_vol);
    if(data[0].total_change_vol > 0){
        $('#kdcc_zlzj_pz').removeClass('am-ft-green').addClass('am-ft-red');
    } else if(data[0].total_change_vol < 0){
        $('#kdcc_zlzj_pz').removeClass('am-ft-red').addClass('am-ft-green');
    } else {
        $('#kdcc_zlzj_pz').removeClass('am-ft-red am-ft-green');
    }
    var members = data;
    var html = '';
    for (var i=0;i<members.length;i++){
        html += '<li class="flexbox am-b-b am-ptb-20 am-plr-15">' +
            '<div class="am-pl-10" style="width: .4rem;">'+members[i].rank_number+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].member_abbr+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].indicator_vol+'</div>';
        if(members[i].change_vol > 0){
            html += '<div class="flex-item am-ft-right am-ft-red">'+members[i].change_vol+'</div>' +
                '</li>';
        } else if(members[i].change_vol < 0){
            html += '<div class="flex-item am-ft-right am-ft-green">'+members[i].change_vol+'</div>' +
                '</li>';
        } else {
            html += '<div class="flex-item am-ft-right">'+members[i].change_vol+'</div>' +
                '</li>';
        }
    }
    $('#kdcc_list_pz').html(html);
}
