//默认初始化的页面
//ZLInit();

//数据处理

//主力页面首次初始化
function ZLInit() {
    $("body").mLoading();
//日期选择js
    var mc = [];
    $.ajax({
        type: "post",
        url: window.service_prefix + "/lhb/getMainContract",
        data: {},
        dataType: "json",
        success: function (data) {
            $("body").mLoading("hide");
            if (data.success) {
                mc = [];
                data = data.data;
                for (var index = 0; index < data.length; index++) {
                    if(index === 0){
                        var m_v = wn_cut_zl({
                            label: data[0].stockName,
                            value: data[0].referenceCode
                        });
                        data[0].value = data[0].referenceCode;
                        init_zx_zf_zl(m_v, data[0]);
                        refreshZXJZF(data[0].referenceCode);
                        setTimeout(function () {
                            zltb_init(data[0].value);
                        }, 500);
                    }
                    mc.push({
                        label: data[index].stockName,
                        value: data[index].referenceCode,
                        newPrice: (data[index].newPrice).toFixed(2),
                        zhangFu: (data[index].zhangFu).toFixed(2)
                    });
                }
            }
        },
        error: function (xhr, status, msg) {
            $("body").mLoading("hide");
            layer.closeAll();
            layer.open({
                type: 0,
                style: 'word-break: break-all;',
                content: status
            });
        }
    });

//模拟数据
    $('#selContractZL').on('click', function () {
        if (mc.length > 0) {
            $.mPicker(
                mc, {
                    defaultValue: [$('#selContractZL').data('value')],
                    onConfirm: function (result) {
                        var m_v = wn_cut_zl(result[0]);
                        init_zx_zf_zl(m_v, result[0]);
//选择日期后的操作..
                        refreshZXJZF(result[0].value);
                        zltb_init(result[0].value);
                    },
                    id: 'picker_zl' + new Date().getTime()
                });
        }
    });

    $('[data-panel="zl"]').data('init', true);
}

function refreshZXJZF(refference_code) {
    if(window.rzxjzf){
        clearInterval(window.rzxjzf);
    }
    window.rzxjzf = setInterval(function () {
        $.ajax({
            type: "post",
            url: window.service_prefix + "/lhb/getHQ",
            data: {
                refference_code: refference_code
            },
            dataType: "json",
            success: function (data) {
                if (data.success) {
                    data = data.data;
                    if(data.newPrice === undefined || data.zhangFu === undefined){
                        return;
                    }
                    $('#zlzxj').text((+data.newPrice).toFixed(2));
                    if((+data.zhangFu).toFixed(2) > 0){
                        $('#zlzf').html('<i class="icon icon-rate-up"></i>' + (+data.zhangFu).toFixed(2) + '%');
                        $('#zlzf').removeClass('am-ft-green').addClass('am-ft-red');
                    }else if((+data.zhangFu).toFixed(2) < 0){
                        $('#zlzf').html('<i class="icon icon-rate-down"></i>' + (+data.zhangFu).toFixed(2) + '%');
                        $('#zlzf').removeClass('am-ft-red').addClass('am-ft-green');
                    }else{
                        $('#zlzf').html((+data.zhangFu).toFixed(2) + '%');
                        $('#zlzf').removeClass('am-ft-red am-ft-green');
                    }
                }
            },
            error: function (xhr, status, msg) {
                layer.closeAll();
                /*layer.open({
                    type: 0,
                    style: 'word-break: break-all;',
                    content: msg
                });*/
            }
        });
    }, 3000);
}

function wn_cut_zl(result) {
    var rs = {
        label: '',
        value: ''
    };
    var label = result.label;
    var value = result.value;
    var c = 0;
    if(label && value){
        for (var i=value.length; i>0; i--){
            var tmp = value.substr(i-1);
            if(/^[0-9]*$/.test(tmp) && label.lastIndexOf(tmp) >= 0){
                c = value.length-i+1;
            }else{
                break;
            }
        }
        rs.label = label.substring(0, label.length-c);
        rs.value = value.substring(value.length-c);
    }
    $('#cjcc_zl').text(result.label+'成交持仓排名');
    $('#ddcc_zl').text(result.label+'多单持仓排名');
    $('#kdcc_zl').text(result.label+'空单持仓排名');
    return rs;
}

function init_zx_zf_zl(m_v, data) {
    $('#txtContractZL').text(m_v.value);
    $('#txtContractZL').prev().text(m_v.label);
    $('#selContractZL').data('value', data.value);
    $('#zlzxj').text((+data.newPrice).toFixed(2));
    if((+data.zhangFu).toFixed(2) > 0){
        $('#zlzf').html('<i class="icon icon-rate-up"></i>' + (+data.zhangFu).toFixed(2) + '%');
        $('#zlzf').removeClass('am-ft-green').addClass('am-ft-red');
    }else if((+data.zhangFu).toFixed(2) < 0){
        $('#zlzf').html('<i class="icon icon-rate-down"></i>' + (+data.zhangFu).toFixed(2) + '%');
        $('#zlzf').removeClass('am-ft-red').addClass('am-ft-green');
    }else{
        $('#zlzf').html((+data.zhangFu).toFixed(2) + '%');
        $('#zlzf').removeClass('am-ft-red am-ft-green');
    }
}

function zltb_init(contract_code) {
    $("body").mLoading();
    $.ajax({
        type:'GET',
        url:'https://open.hscloud.cn/info/v3/fut_holding_heroes',
        dataType:'json',
        data: {
            contract_code: contract_code,
            rank_num: 10,
            page_count: 10,
            // start_date: getFormatDate(jj_date(-604800000), "yyyy-MM-dd"),
            // end_date: getFormatDate(new Date(), "yyyy-MM-dd"),
            date_type: 2,
            access_token: access_token
        },
        success:function(data){
            $("body").mLoading("hide");
            paint_zl(data);
        },
        error: function (xhr, status, msg) {
            $("body").mLoading("hide");
            layer.closeAll();
            layer.open({
                type: 0,
                style: 'word-break: break-all;',
                content: status
            });
        }
    });
}

function paint_zl(data) {
    var origin_date = {
        date: []
    };
    var dataZL = {
        date: [],
        data1: [],
        data2: []
    };
//参考数据
    data = data.data;
    for (var i=0;i<data.length;i++){
        if(i > 4){
            continue;
        }
        if(i === 0){
            var lt = data[0].long_position_heroes_obj.total_vol;
            var st = data[0].short_position_heroes_obj.total_vol;
            $('#ddl_zl').text(lt);
            $('#kdl_zl').text(st);
            $('#ddl_zb_zl').text(((lt*100)/(lt+st)).toFixed(2) + '%');
            $('#kdl_zb_zl').text(((st*100)/(lt+st)).toFixed(2) + '%');
            $('#rq_zl').text(data[0].trade_date);
        }
        dataZL.date.push(data[i].trade_date.substr(5));
        origin_date.date.push(data[i].trade_date);
        dataZL.data1.push(data[i].long_position_heroes_obj.total_vol);
        dataZL.data2.push(data[i].short_position_heroes_obj.total_vol);
    }
    dataZL.date = dataZL.date.reverse();
    origin_date.date = origin_date.date.reverse();
    dataZL.data1 = dataZL.data1.reverse();
    dataZL.data2 = dataZL.data2.reverse();
    if(data.length === 0){
        for (var index=4;index>=0;index--){
            var _now = getFormatDate(jj_date(index * (-86400000)), "yyyy-MM-dd");
            dataZL.date.push(_now.substr(5));
            dataZL.data1.push(0);
            dataZL.data2.push(0);
        }

        $('#ddl_zl').text(0);
        $('#kdl_zl').text(0);
        $('#ddl_zb_zl').text('0%');
        $('#kdl_zb_zl').text('0%');
        $('#rq_zl').text(_now);
    }else if(data.length < 5){
        var len = 5-origin_date.date.length;
        for (var index=0;index<len;index++){
            var _now = getFormatDate(jj_date(-86400000,
                origin_date.date[0]), "yyyy-MM-dd");
            origin_date.date.unshift(_now);
            dataZL.date.unshift(_now.substr(5));
            dataZL.data1.unshift(0);
            dataZL.data2.unshift(0);
        }
    }
    drawFundChart(
        {
            wrap: $('#ZLCharts'),
            data: dataZL,
            callback: function () {
//初始化图表后回调函数
                $('#ZLCharts').on('touchmove', function (e) {
                    e.preventDefault();
                });
            }
        }
    );

    refresh_list_zl(data);
}

function refresh_list_zl(data) {
    if(data.length > 0){
        data = data[0];
        $('#cj_rq_zl,#dd_rq_zl,#kd_rq_zl').text(data.trade_date);

        set_cjcc_list_zl(data);
        set_ddcc_list_zl(data);
        set_kdcc_list_zl(data);

    }else{
        $('#cj_rq_zl,#dd_rq_zl,#kd_rq_zl').text(getFormatDate(new Date(), "yyyy-MM-dd"));

        $('#cjcc_brhj').text(0);
        $('#cjcc_zlzj').text(0);
        $('#cjcc_list').html('');
        $('#cjcc_zlzj').removeClass('am-ft-red am-ft-green');

        $('#ddcc_brhj').text(0);
        $('#ddcc_zlzj').text(0);
        $('#ddcc_list').html('');
        $('#ddcc_zlzj').removeClass('am-ft-red am-ft-green');

        $('#kdcc_brhj').text(0);
        $('#kdcc_zlzj').text(0);
        $('#kdcc_list').html('');
        $('#kdcc_zlzj').removeClass('am-ft-red am-ft-green');
    }
}

function set_cjcc_list_zl(data) {
    $('#cjcc_brhj').text(data.volume_heroes_obj.total_vol);
    $('#cjcc_zlzj').text(data.volume_heroes_obj.total_change_vol);
    if(data.volume_heroes_obj.total_change_vol > 0){
        $('#cjcc_zlzj').removeClass('am-ft-green').addClass('am-ft-red');
    } else if(data.volume_heroes_obj.total_change_vol < 0){
        $('#cjcc_zlzj').removeClass('am-ft-red').addClass('am-ft-green');
    } else {
        $('#cjcc_zlzj').removeClass('am-ft-red am-ft-green');
    }
    var members = data.volume_heroes_obj.volume_hero_obj;
    var html = '';
    for (var i=0;i<members.length;i++){
        html += '<li class="flexbox am-b-b am-ptb-20 am-plr-15">' +
            '<div class="am-pl-10" style="width: .4rem;">'+members[i].rank_number+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].member_abbr+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].indicator_vol+'</div>';
        if(members[i].change_vol > 0){
            html += '<div class="flex-item am-ft-right am-ft-red">'+members[i].change_vol+'</div>' +
                '</li>';
        } else if(members[i].change_vol < 0){
            html += '<div class="flex-item am-ft-right am-ft-green">'+members[i].change_vol+'</div>' +
                '</li>';
        } else {
            html += '<div class="flex-item am-ft-right">'+members[i].change_vol+'</div>' +
                '</li>';
        }
    }
    $('#cjcc_list').html(html);
}

function set_ddcc_list_zl(data) {
    $('#ddcc_brhj').text(data.long_position_heroes_obj.total_vol);
    $('#ddcc_zlzj').text(data.long_position_heroes_obj.total_change_vol);
    if(data.long_position_heroes_obj.total_change_vol > 0){
        $('#ddcc_zlzj').removeClass('am-ft-green').addClass('am-ft-red');
    } else if(data.long_position_heroes_obj.total_change_vol < 0){
        $('#ddcc_zlzj').removeClass('am-ft-red').addClass('am-ft-green');
    } else {
        $('#ddcc_zlzj').removeClass('am-ft-red am-ft-green');
    }
    var members = data.long_position_heroes_obj.long_position_hero_obj;
    var html = '';
    for (var i=0;i<members.length;i++){
        html += '<li class="flexbox am-b-b am-ptb-20 am-plr-15">' +
            '<div class="am-pl-10" style="width: .4rem;">'+members[i].rank_number+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].member_abbr+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].indicator_vol+'</div>';
        if(members[i].change_vol > 0){
            html += '<div class="flex-item am-ft-right am-ft-red">'+members[i].change_vol+'</div>' +
                '</li>';
        } else if(members[i].change_vol < 0){
            html += '<div class="flex-item am-ft-right am-ft-green">'+members[i].change_vol+'</div>' +
                '</li>';
        } else {
            html += '<div class="flex-item am-ft-right">'+members[i].change_vol+'</div>' +
                '</li>';
        }
    }
    $('#ddcc_list').html(html);
}

function set_kdcc_list_zl(data) {
    $('#kdcc_brhj').text(data.short_position_heroes_obj.total_vol);
    $('#kdcc_zlzj').text(data.short_position_heroes_obj.total_change_vol);
    if(data.short_position_heroes_obj.total_change_vol > 0){
        $('#kdcc_zlzj').removeClass('am-ft-green').addClass('am-ft-red');
    } else if(data.short_position_heroes_obj.total_change_vol < 0){
        $('#kdcc_zlzj').removeClass('am-ft-red').addClass('am-ft-green');
    } else {
        $('#kdcc_zlzj').removeClass('am-ft-red am-ft-green');
    }
    var members = data.short_position_heroes_obj.short_position_hero_obj;
    var html = '';
    for (var i=0;i<members.length;i++){
        html += '<li class="flexbox am-b-b am-ptb-20 am-plr-15">' +
            '<div class="am-pl-10" style="width: .4rem;">'+members[i].rank_number+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].member_abbr+'</div>' +
            '<div class="flex-item am-ft-right">'+members[i].indicator_vol+'</div>';
        if(members[i].change_vol > 0){
            html += '<div class="flex-item am-ft-right am-ft-red">'+members[i].change_vol+'</div>' +
                '</li>';
        } else if(members[i].change_vol < 0){
            html += '<div class="flex-item am-ft-right am-ft-green">'+members[i].change_vol+'</div>' +
                '</li>';
        } else {
            html += '<div class="flex-item am-ft-right">'+members[i].change_vol+'</div>' +
                '</li>';
        }
    }
    $('#kdcc_list').html(html);
}