/**
 * Created by zhaojt on 2016/10/26.
 */
var pageNumber=1, pageSize=10;//分页数
var page_no =CommFutures.getQueryStringByName("page_no");//当前页
if(page_no==null || page_no==""){
    page_no = pageNumber;
}
var page_count =CommFutures.getQueryStringByName("page_count");//每页显示的条数
if(page_count==null || page_count==""){
    page_count = pageSize;
}
var contract_code =CommFutures.getQueryStringByName("contract_code");//合约代码
    var exchange_code =CommFutures.getQueryStringByName("exchange_code");//交易所代码
var contract_state =CommFutures.getQueryStringByName("contract_state");//合约状态
if(contract_state==null || contract_state==""){
    contract_state="1";//正在交易的
}
var fut_option_code =CommFutures.getQueryStringByName("fut_option_code");//合约标的
var delivery_method =CommFutures.getQueryStringByName("delivery_method");//交割方式
var fut_contract_type =CommFutures.getQueryStringByName("fut_contract_type");//合约类型

/**
 * 主逻辑函数
 */
;$(function(){
    /*******F10资讯*********/
    var jsonVal={
        "contract_code":contract_code,
        "exchange_code":exchange_code,
        "contract_state":contract_state,
        "fut_option_code":fut_option_code,
        "delivery_method":delivery_method,
        "fut_contract_type":fut_contract_type,
        "page_no":page_no,
        "page_count":page_count
    };
    getF10Info(jsonVal);


});

/**
 * 描述：期货资讯F10
 * @param jsonVal
 * @returns {boolean}
 */
function getF10Info(jsonVal){
    if(jsonVal == "" || jsonVal==""){
        initData();
        alert("请输入参数!");
        return false;
    }
    if(jsonVal.contract_code == ""||jsonVal.contract_code==null){
        initData();
        alert("请输入合约代码!");
        return false;
    }
    if(jsonVal.exchange_code == ""||jsonVal.exchange_code==null){
        initData();
        alert("请输入交易所代码!");
        return false;
    }
    $.ajax({
        type:'GET',
        url:CommFutures.token_url,
        dataType:'json',
        success:function(data){
            var jsonText = JSON.parse(data.data);
            $.ajax({
                type:'GET',
                data:{
                    'contract_code':jsonVal.contract_code,
                    'exchange_code': jsonVal.exchange_code,
                    'contract_state': jsonVal.contract_state,
                    'fut_option_code': jsonVal.fut_option_code,
                    'delivery_method': jsonVal.delivery_method,
                    'fut_contract_type': jsonVal.fut_contract_type,
                    'page_no': jsonVal.page_no,
                    'page_count': jsonVal.page_count,
                    'access_token':jsonText.access_token
                },
                url:CommFutures.f10_url,
                dataType:'json',
                success:function(data){
                    if(data  && data.data.length > 0){
                        var result = data.data[0]
                        $("#exchange_Name").text(CommFutures.exchange_codeForName[jsonVal.exchange_code]);
                        $("#contract_code").text(result.contract_code);
                        $("#contract_abbr").text(result.contract_abbr);
                        $("#contract_name").text(result.contract_name);
                        $("#fut_contract_type").text(CommFutures.fut_contract_typeName[result.fut_contract_type]);
                        $("#contract_multiplier").text(result.contract_multiplier);
                        //$("#trading_commission").text(result.trading_commission);
                        $("#price_unit").text(result.price_unit);
                        $("#littlest_changeunit").text(result.littlest_changeunit);
                        $("#changepct_limit").text(result.changepct_limit);
                        $("#contract_month").text(result.contract_month);
                        $("#exchange_date").text(result.exchange_date);
                        $("#lasttrading_date").text(result.lasttrading_date);
                        $("#lasttradingdate_desc").text(result.lasttradingdate_desc);
                        $("#lastdelivery_date").text(result.lastdelivery_date);
                        $("#lastdeliverydate_desc").text(result.lastdeliverydate_desc);
                        $("#delivery_grades").text(result.delivery_grades);
                        //$("#min_marginratio").text(result.min_marginratio);
                        $("#delivery_method").text(CommFutures.delivery_methodName[result.delivery_method]);

                        getJYdata();
                    }
                },
                error:function(){}
            });


        },
        error:function(){}
    });
}

function getJYdata(){
    $.ajax({
        type:'GET',
        url:"../model/fut_contract?lableCode="+contract_code,
        dataType:'json',
        success:function(data){
            if(data  && data.data && data.data.data){
                var result = data.data.data.ratioValue;
                $("#changepct_limit").html("上一交易日结算价±"+result+"%");
            }
        },
        error:function(){}
    });
}

function initData(){
    $("#exchange_Name").text("--");
    $("#contract_code").text("--");
    $("#contract_abbr").text("--");
    $("#contract_name").text("--");
    $("#fut_contract_type").text("--");
    $("#contract_multiplier").text("--");
    //$("#trading_commission").text("--");
    $("#price_unit").text("--");
    $("#littlest_changeunit").text("--");
    $("#changepct_limit").text("--");
    $("#contract_month").text("--");
    $("#exchange_date").text("--");
    $("#lasttrading_date").text("--");
    $("#lasttradingdate_desc").text("--");
    $("#lastdelivery_date").text("--");
    $("#lastdeliverydate_desc").text("--");
    $("#delivery_grades").text("--");
    //$("#min_marginratio").text("--");
    $("#delivery_method").text("--");
    $("#contract_introduction").text("--");
}