/**
 * Created by zhaojt on 2016/10/26.
 */
//http://10.253.100.147/info/v3/fut_contract?fut_option_code=319
var contract_code =CommFutures.getQueryStringByName("contract_code");//合约代码
/**
 * 主逻辑函数
 */
;$(function(){
    /*******原油期货F10*********/
    if(contract_code === "" || contract_code==null || contract_code==undefined){
        initData();
        alert("请输入合约代码!");
        return false;
    }
    getCrudeF10Info();
});

/**
 * 描述：商品期权F10
 * @param jsonVal
 * @returns {boolean}
 */
function getCrudeF10Info(){
    $.ajax({
        type:'GET',
        url:CommFutures.token_url,
        dataType:'json',
        success:function(data){
            var jsonText = JSON.parse(data.data);
            $.ajax({
                type:'GET',
                data:{
                    "contract_code":contract_code,
                    "access_token":jsonText.access_token
                },
                url:CommFutures.future_crude_url,
                dataType:'json',
                success:function(data){
                    if(data  && data.data.length > 0){
                        var result = data.data[0];
                        $("#contract_name").text(result.contract_name);//合约简称
                        $("#fut_contract_type").text(result.fut_contract_type);//合约类型
                        $("#contract_multiplier").text(result.contract_multiplier);//交易单位
                        $("#price_unit").text(result.price_unit);//报价单位
                        $("#littlest_changeunit").text(result.littlest_changeunit);//最小变动价位
                        $("#changepct_limit").text(result.changepct_limit);//每日涨跌幅度
                        $("#contract_month").text(result.contract_month);//合约交割月份
                        $("#exchange_date").text(result.exchange_date);//交易时间
                        $("#lasttrading_date_desc").text(result.lasttrading_date);//最后交易日描述
                        $("#lasttrading_date").text("");//最后交易日
                        $("#delivery_date_desc").text(result.delivery_date);//交割日期描述
                        $("#delivery_date").text("");//交割日期
                        $("#delivery_grades").text(result.delivery_grades);//交割等级
                        $("#delivery_method").text(CommFutures.delivery_methodName[result.delivery_method]);//交割方式
                        $("#contract_code").text("");//合约代码
                    }
                },
                error:function(){}
            });
        },
        error:function(){}
    });
}

function initData(){
    $("#contract_name").text("--");//合约简称
    $("#contract_code").text("--");//合约代码
    $("#contract_multiplier").text("--");//交易单位
    $("#price_unit").text("--");//报价单位
    $("#littlest_changeunit").text("--");//最小变动价位
    $("#changepct_limit").text("--");//每日涨跌幅度
    $("#contract_month").text("--");//合约交割月份
    $("#exchange_date").text("--");//交易时间
    $("#lasttrading_date_desc").text("--");//最后交易日
    $("#lasttrading_date").text("--");//最后交易日描述
    $("#delivery_date_desc").text("--");//交割日期描述
    $("#delivery_date").text("--");//交割日期
    $("#delivery_grades").text("--");//交割等级
    $("#fut_contract_type").text("--");//合约类型
    $("#delivery_method").text("--");//交割方式

}