/**
 * Created by zhaojt on 2016/10/26.
 */
var pageNumber=1, pageSize=10,optNumber=2;
var opt_type = CommFutures.getQueryStringByName("opt_type");//期权类型
var page_no =CommFutures.getQueryStringByName("page_no");//当前页
if(page_no==null || page_no==""){
    page_no = pageNumber;
}
if(opt_type==null || opt_type==""){
    opt_type = optNumber;
}
var page_count =CommFutures.getQueryStringByName("page_count");//每页显示的条数
if(page_count==null || page_count==""){
    page_count = pageSize;
}
var option_codes =CommFutures.getQueryStringByName("option_codes");//合约代码
/**
 * 主逻辑函数
 */
;$(function(){
    /*******F10资讯*********/
    var jsonVal={
        "option_codes":option_codes
    };
    getF10Info(jsonVal);
});

/**
 * 描述：商品期权F10
 * @param jsonVal
 * @returns {boolean}
 */
function getF10Info(jsonVal){
    if(jsonVal == "" || jsonVal==""){
        initData();
        alert("请输入参数!");
        return false;
    }
    if(jsonVal.option_codes == ""||jsonVal.option_codes==null){
        initData();
        alert("请输入合约代码!");
        return false;
    }
    $.ajax({
        type:'GET',
        url:CommFutures.token_url,
        dataType:'json',
        success:function(data){
            var jsonText = JSON.parse(data.data);
            $.ajax({
                type:'GET',
                data:{
                    "option_codes":option_codes,
                    "page_no":page_no,
                    "page_count":page_count,
                    "opt_type":opt_type,
                    "access_token":jsonText.access_token
                },
                url:CommFutures.future_f10_url,
                dataType:'json',
                success:function(data){
                    if(data  && data.data.length > 0){
                        var result = data.data[0]
                        $("#secu_code").text(result.secu_attr);
                        $("#price_change_ratio").text(result.price_change_ratio_desc);
                        $("#options_type").text(CommFutures.contract_typeName[result.options_type]);
                        $("#option_code").text(result.option_code);
                        $("#warrant_way").text(CommFutures.warrantway_typeName[result.warrant_way]);
                        $("#exchange_type").text(CommFutures.futureExchange_codeForName[result.exchange_type]);
                        $("#exercise_price").text(result.exercise_price);
                        $("#expiration_date").text(result.expiration_date);
                        $("#trading_time_desc").text(result.trading_time_desc);
                        $("#contract_multiplier").text(result.contract_multiplier);
                        $("#price_unit").text(result.price_unit);
                        $("#littlest_changeunit").text(result.littlest_changeunit);
                        $("#contract_month").text(result.contract_month_desc);
                        $("#lasttrading_date").text(result.lasttrading_date);
                    }
                },
                error:function(){}
            });


        },
        error:function(){}
    });
}

function initData(){
    $("#secu_code").text("--");
    $("#price_change_ratio").text("--");
    $("#options_type").text("--");
    $("#option_code").text("--");
    $("#warrant_way").text("--");
    $("#exchange_type").text("--");
    $("#exercise_price").text("--");
    $("#expiration_date").text("--");
    $("#trading_time_desc").text("--");
    $("#contract_multiplier").text("--");
    $("#price_unit").text("--");
    $("#littlest_changeunit").text("--");
    $("#contract_month").text("--");
    $("#lasttrading_date").text("--");
}