var stockCode="100001";
var generalModelScroll ;
var pageNumber=1,pageSize=15;
var channel = Common.getQueryStringByName("chnl");
$(function () {
	Common.setBackUrl("../model/index_lists.html?code="+stockCode);
	getStocklNews(stockCode);
	initIsroll();
	localStorage.setItem("sourceFrom",2);
});

/**
 * 获取lable下数据
 * @param modelId
 * @param pageNumber
 * @param pageSize
 */
function getStocklNews(stockCode,pageNumber,pageSize){
	pageNumber = pageNumber == null ? 1 : pageNumber;
	pageNumber = pageNumber < 1 ? 1 : pageNumber;
	if (pageSize == null) {
		pageSize = 15;
	}
	$.ajax({
		type: "post",
		url: window.service_prefix + "/model/getNewsByResourceId",
		data: {resourceId:stockCode,pageNo:pageNumber,pageSize:pageSize,channel:channel},
		dataType: "json",
		success: function (data) {
			if(data.success){
				var news = data.data.data.rows;
				var html = Common.getNewsViewByStyle(news,1000);
				if(pageNumber == 1){
					$("#stock_contentList").html("");
					$("#stock_contentList").html(html);
				}else{
					 var tips = $("#no_more_date");
					 if(tips && typeof(tips) != "undefined"){
						 tips.remove();
					 }
					$("#stock_contentList").append(html);
				}
		    	$('#stock_pullDown').css("display", "none");
		    	$('#stock_pullUp').css("display", "none");
		    	generalModelScroll.refresh();
			}
		}
	});
}

function initIsroll(){
	 //上（下）拉加载数据
	  function generalModelScrolling () {
		  var y = this.y>>0;
		  if(y > 42 ){
			  $('#stock_pullDirection').val("down");
			  //pullDown
			  var isRefresh = $('#stock_pullDown').css('display')=="none";
			  $('#stock_pullDown').css('display', '');
			  if(isRefresh){
				  generalModelScroll.refresh();
			  }
			  $('#stock_pullDownTip').html('释放刷新');
			  //pullUp
			  $('#stock_pullUp').css('display', 'none');
		  }else if(y + 42 < generalModelScroll.maxScrollY){
			  $('#stock_pullDirection').val("up");
			  //pullDown
			  $('#stock_pullDown').css('display', 'none');
			  //pullUp
			  var isRefresh = $('#stock_pullUp').css('display')=="none";
			  $('#stock_pullUp').css('display', '');
			  if(isRefresh){
				  generalModelScroll.refresh();
			  }
			  $('#stock_pullUpTip').html('释放刷新');
		  }
	    }
	    function generalModelScrollEnd () {
	    	if($('#stock_pullDirection').val()=="down"){
	    		$('#stock_pullDownTip').html('刷新中......');
	    		//下拉加载第一页数据
	        	getStocklNews(stockCode,1);
	    	}else if($('#stock_pullDirection').val()=="up"){
	    		$('#stock_pullUpTip').html('刷新中......');
	    		//上拉加载更多数据
	    		getStocklNews(stockCode,++pageNumber,pageSize);
	    	}
	    	$('#stock_pullDirection').val('');
	    }
	    generalModelScroll = new IScroll('#stock_iScrollWrapper', {
	    	probeType: 3, 
	    	scrollbars: true,
			mouseWheel: true,
			interactiveScrollbars: true,
			shrinkScrollbars: 'scale',
			fadeScrollbars: true,
			useTransform: false,
			preventDefault: false,
			preventDefaultException: { tagName: /^(INPUT|TEXTAREA|BUTTON|SELECT)$/}
		});
		generalModelScroll.on('scroll', generalModelScrolling);
		generalModelScroll.on('scrollEnd', generalModelScrollEnd);
	    document.addEventListener('touchmove', function (e) { e.preventDefault(); }, false);
	
}
